AnnouncePluginExtension (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins.announce

## [Groovy] Class AnnouncePluginExtension

- org.gradle.api.plugins.announce.AnnouncePluginExtension

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `announcerFactory`
    `String` | `password` The password to use for announcements.
    `String` | `username` The username to use for announcements.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnouncePluginExtension (org.gradle.api.internal.project.ProjectInternal project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `announce(String msg, String type)` Sends an announcement of the given type.
    `Announcer` | `getLocal()` Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.
    `void` | `setLocal(Announcer localAnnouncer)` Sets the Announcer that should be used to send announcements to the local desktop.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory

    - #### String password

      The password to use for announcements.

    - #### String username

      The username to use for announcements.

  - ### Constructor Detail

    - #### AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### void announce(String msg, String type)

      Sends an announcement of the given type.

      Parameters:
        `msg` - The content of the announcement
        `type` - The announcement type.

    - #### Announcer getLocal()

      Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.

      Returns:
        The announcer.

    - #### void setLocal(Announcer localAnnouncer)

      Sets the Announcer that should be used to send announcements to the local desktop.